## ros-kinetic-self-test 1.9.3

=== debian/changelog ===
ros-kinetic-self-test (1.9.3-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 02 May 2018 00:00:00 -0000

ros-kinetic-self-test (1.9.2-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-kinetic-self-test (1.9.1-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-kinetic-self-test (1.9.0-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 25 Apr 2017 00:00:00 -0000

ros-kinetic-self-test (1.8.10-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-kinetic-self-test (1.8.9-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 02 Mar 2016 00:00:00 -0000

ros-kinetic-self-test (1.8.8-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 06 Aug 2015 00:00:00 -0000

ros-kinetic-self-test (1.8.7-0xenial) xenial; urgency=high

  * Upgrade to gtest 1.7.0
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 09 Jan 2015 00:00:00 -0000

ros-kinetic-self-test (1.8.6-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-kinetic-self-test (1.8.5-0xenial) xenial; urgency=high

  * Include gtest source directly
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 29 Jul 2014 00:00:00 -0000

ros-kinetic-self-test (1.8.4-0xenial) xenial; urgency=high

  * Remove stray architechture_independent flags
    This flag should be used for package which do not contain
    architecture-specific files. Compiled binaries are such a file, and
    these packages contain them.
  * Contributors: Scott K Logan

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 20:51:00 -0000

ros-kinetic-self-test (1.8.3-0xenial) xenial; urgency=high

  * Install selftest_rostest
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 23 Apr 2014 00:00:00 -0000

ros-kinetic-self-test (1.8.2-0xenial) xenial; urgency=high

  * Fix linking. All tests pass.
    Fixes #12 <https://github.com/ros/diagnostics/issues/12>
  * Most tests pass
  * Fix private nodehandle bug
  * Protect tests behind CATKIN_ENABLE_TESTING.
    Fixes #13 <https://github.com/ros/diagnostics/issues/13>
  * Install self test executables. Fixes #16 <https://github.com/ros/diagnostics/issues/16>
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 08 Apr 2014 00:00:00 -0000

ros-kinetic-self-test (1.8.1-0xenial) xenial; urgency=high

  * Add myself as maintainer
  * Added ability to specify the private node handle in TestRunner
    Also now specify the selftest callback queue on only the service so that it does not apply to the entire node
  * fixed test related issues in some CMakeLists
  * Contributors: Austin Hendrix, Brice Rebsamen, Mitchell Wills

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 07 Apr 2014 00:00:00 -0000

ros-kinetic-self-test (1.8.0-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 03 Apr 2013 00:00:00 -0000

ros-kinetic-self-test (1.7.11-0xenial) xenial; urgency=high

  * Fix install rules
  * Fix linking on tests
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 20:24:00 -0000

ros-kinetic-self-test (1.7.10-0xenial) xenial; urgency=high

  * Changed package.xml version number before releasing
  * Contributors: Brice Rebsamen

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 22 Feb 2013 00:00:00 -0000

ros-kinetic-self-test (1.7.9-0xenial) xenial; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Dec 2012 00:00:00 -0000

ros-kinetic-self-test (1.7.8-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 06 Dec 2012 00:00:00 -0000

ros-kinetic-self-test (1.7.7-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sat, 10 Nov 2012 00:00:00 -0000

ros-kinetic-self-test (1.7.6-0xenial) xenial; urgency=high

  * no library in self test
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 23:32:00 -0000

ros-kinetic-self-test (1.7.5-0xenial) xenial; urgency=high

  * add the missing rostest dependency
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 21:53:00 -0000

ros-kinetic-self-test (1.7.4-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 20:18:00 -0000

ros-kinetic-self-test (1.7.3-0xenial) xenial; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sun, 04 Nov 2012 00:00:00 -0000

ros-kinetic-self-test (1.7.2-0xenial) xenial; urgency=high

  * fix rostest
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 30 Oct 2012 22:31:00 -0000

ros-kinetic-self-test (1.7.1-0xenial) xenial; urgency=high

  * fix a few things after the first release
  * fix a few things all over
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 30 Oct 2012 15:30:00 -0000

ros-kinetic-self-test (1.7.0-0xenial) xenial; urgency=high

  * catkinize the stack
  * use the proper gtest macro
  * Explicitely set selftest_rostest to be in the all target, to fix #3178 <https://github.com/ros/diagnostics/issues/3178>.
  * Moved failed test message to just after the test, rather than after all the tests in self_test.
  * Eliminated warnings from run_selftest, and made it set its return code based on whether the test passed or not.
  * Undeprecated run_selftest.
  * Added a check in self test for ROS having shut down. Allows a node that is self testing to exit faster on CTRL-C.
  * Unit test files
  * Adding unit tests for self_test

