=== debian/control ===
Source: ros-kinetic-self-test
Section: misc
Priority: extra
Maintainer: Brice Rebsamen <brice.rebsamen@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-roscpp, ros-kinetic-rostest
Homepage: http://www.ros.org/wiki/self_test
Standards-Version: 3.9.2

Package: ros-kinetic-self-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-roscpp
Description: self_test
